Subject: bug#685: [devuan-dev] bug#685: Unneeded dependency for systemd-standalone-tmpfiles

From: tito <[email-masked]>
Date: Mon, 4 Jul 2022 16:19:53 +0200

On Mon, 4 Jul 2022 15:07:07 +0100
Klaus Ethgen <[email-masked]> wrote:

> Hi,
> 
> Am Mo den  4. Jul 2022 um  9:23 schrieb Mark Hindley:
> > On Mon, Jul 04, 2022 at 08:17:20AM +0100, Klaus Ethgen wrote:
> > > Package: lvm2
> > > Version: 2.03.15-1
> > > Severity: normal
> > 
> > However, lvm2 is not forked in Devuan and we used Debian's packages directly
> > without recompilation. Please report this to Debian's BTS.
> 
> Sorry, no.
> 
> I had too many fights especially with this Michael Biebl who is one main
> driver of putting systemd dependencies in many, many unrelated tools. He
> does use his power to close real bugs with wontfix just as he can.
> 
> The bug above is a candidate for this I... to jump in and close it in
> this way.
> 
> I don't engage in such fights anymore. That was one main reason, I
> changed to devuan.
> 
> Regards
>    Klaus

Hi,
this package is available in devuan:

apt list *tmpfiles* -a
Listing... Done
systemd-standalone-tmpfiles/unstable 251.2-7 amd64
systemd-standalone-tmpfiles/stable-backports 250.4-1~bpo11+1 amd64

and seems not directly related with systemd:

Package: systemd-standalone-tmpfiles (251.2-7) 

standalone tmpfiles binary for use in non-systemd systems

Standalone tmpfiles binary with minimal dependencies. This package conflicts with the main systemd package and is meant for use in non-systemd systems. 

Ciao,
Tito